<!DOCTYPE html>
<html lang="en">

<head>
    <title>Présentation de Sweet Alert</title>
    <meta name="description" content="SweatAlert est une librairie JS qui permet d’avoir des
        fenêtres de dialogue avec un style différent et plus 
        sympa que l’alerte JS classique.">
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <!--css-->
    <link rel="stylesheet" href="./assets/style.css">
    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@400;500;900&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Roboto+Mono:wght@300&display=swap" rel="stylesheet">
</head>

<body>

    <section id="sec1">
        <div>
            <img src="./assets/images/logosweetalert.png" alt="logo-sweet-alert">
            <p>Christophe Grava & Chloé Dubois</p>
        </div>


        <div class="nav-buttons">
            <a class="next-slide" href="#sec2"><svg width="40px" height="40px" viewBox="0 0 16 16" fill="#f27474"
                    xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd"
                        d="M2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2zm6.5 5a.5.5 0 0 0-1 0v4.793L5.354 7.646a.5.5 0 1 0-.708.708l3 3a.5.5 0 0 0 .708 0l3-3a.5.5 0 0 0-.708-.708L8.5 9.793V5z" />
                </svg></a>
        </div>

    </section>

    <section id="sec2">
        <div class="slide-content">
            <h1>Qu'est-ce que c'est ?</h1>
            <p>Sweatalert est une librairie JS qui permet d’avoir des
                fenêtres de dialogue (modal) avec un style différent et plus
                sympa que l’alerte JS classique.</p>
            <div class="bouton-double">
                <div class="bouton" id="bouton1">Alerte</div>
                <div class="bouton" id="bouton2">Sweetalert</div>
            </div>


        </div>


        <div class="nav-buttons">
            <a class="previous-slide" href="#sec1"><svg width="40px" height="40px" viewBox="0 0 16 16"
                    class="bi bi-arrow-up-square-fill" fill="#f27474" xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd"
                        d="M2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2zm3.354 8.354a.5.5 0 1 1-.708-.708l3-3a.5.5 0 0 1 .708 0l3 3a.5.5 0 0 1-.708.708L8.5 6.207V11a.5.5 0 0 1-1 0V6.207L5.354 8.354z" />
                </svg></a>
            <a class="next-slide" href="#sec3"><svg width="40px" height="40px" viewBox="0 0 16 16" fill="#f27474"
                    xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd"
                        d="M2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2zm6.5 5a.5.5 0 0 0-1 0v4.793L5.354 7.646a.5.5 0 1 0-.708.708l3 3a.5.5 0 0 0 .708 0l3-3a.5.5 0 0 0-.708-.708L8.5 9.793V5z" />
                </svg></a>
        </div>
    </section>

    <section id="sec3">
        <div class="slide-content">
            <h1>Installer Sweetalert</h1>
            <h2>Installation avec Webpack et npm</h2>
            <div class="double-titre">
                <p>DANS LE TERMINAL</p>
                <p>DANS LE FICHIER JS</p>
            </div>
            <div class="double-code">
                <p class="code code-gris">$ npm install sweetalert --save</p>
                <p class="code code-gris"><span class="text-purple">import</span> swal <span
                        class="text-purple">from</span> 'sweetalert';</p>
            </div>

            <h2>Utilisation du cdn</h2>
            <p class="code code-gris">&lt;<span class="text-green">script </span><span
                    class="text-purple">src</span>="https://unpkg.com/sweetalert/dist/sweetalert.min.js"&gt;&lt;/<span
                    class="text-green">script</span>&gt;</p>
        </div>

        <div class="nav-buttons">
            <a class="previous-slide" href="#sec2"><svg width="40px" height="40px" viewBox="0 0 16 16"
                    class="bi bi-arrow-up-square-fill" fill="#f27474" xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd"
                        d="M2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2zm3.354 8.354a.5.5 0 1 1-.708-.708l3-3a.5.5 0 0 1 .708 0l3 3a.5.5 0 0 1-.708.708L8.5 6.207V11a.5.5 0 0 1-1 0V6.207L5.354 8.354z" />
                </svg></a>
            <a class="next-slide" href="#sec4"><svg width="40px" height="40px" viewBox="0 0 16 16" fill="#f27474"
                    xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd"
                        d="M2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2zm6.5 5a.5.5 0 0 0-1 0v4.793L5.354 7.646a.5.5 0 1 0-.708.708l3 3a.5.5 0 0 0 .708 0l3-3a.5.5 0 0 0-.708-.708L8.5 9.793V5z" />
                </svg></a>
        </div>

    </section>

    <section id="sec4">
        <div class="slide-content">
            <h1>Faire une alerte</h1>
            <h2>Appeler la fonction swal() ...</h2>
            <div class="double-titre">
                <p>ALERTE CLASSIQUE</p>
                <p>SWEETALERT</p>
            </div>
            <div class="double-code">
                <p class="code code-blanc"><span class="text-swal">alert</span>("Hello World!");</p>
                <p class="code code-blanc"><span class="text-swal">swal</span>("Hello World!");</p>
            </div>
            <h2>... après le chargement du contenu DOM !!</h2>
            <p class="code code-blanc">document.<span class="text-swal">addEventListener</span>('DOMContentLoaded',
                (event) => {<br />
                <span class="text-swal"> swal</span>('Hello World!');<br />
                });</p>
        </div>

        <div class="nav-buttons">
            <a class="previous-slide" href="#sec3"><svg width="40px" height="40px" viewBox="0 0 16 16"
                    class="bi bi-arrow-up-square-fill" fill="#f27474" xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd"
                        d="M2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2zm3.354 8.354a.5.5 0 1 1-.708-.708l3-3a.5.5 0 0 1 .708 0l3 3a.5.5 0 0 1-.708.708L8.5 6.207V11a.5.5 0 0 1-1 0V6.207L5.354 8.354z" />
                </svg></a>
            <a class="next-slide" href="#sec5"><svg width="40px" height="40px" viewBox="0 0 16 16" fill="#f27474"
                    xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd"
                        d="M2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2zm6.5 5a.5.5 0 0 0-1 0v4.793L5.354 7.646a.5.5 0 1 0-.708.708l3 3a.5.5 0 0 0 .708 0l3-3a.5.5 0 0 0-.708-.708L8.5 9.793V5z" />
                </svg></a>
        </div>

    </section>

    <section id="sec5">
        <div class="slide-content">
            <h1>Paramètres (1)</h1>
            <p>La fonction <span class="text-swal">swal</span> peut contenir 3 arguments principaux
                (titre, texte, icône), et des options supplémentaires.</p>
            <p>Il y a deux syntaxes possibles pour les paramètres :</p>
            <div class="double-titre">
                <p>SYNTAXE 1</p>
                <p>SYNTAXE 2</p>
            </div>
            <div class="double-code">
                <p class="code code-gris"><span class="text-swal">swal</span>("Coucou", "Bienvenue!", "success");</p>
                <p class="code code-gris">
                    <span class="text-swal">swal</span>({<br/>
                        title: "Coucou",<br/>
                        text: "Bienvenue!",<br/>
                        icon: "success",<br/>
                      });
                </p>
            </div>

        </div>
        <div class="nav-buttons">
            <a class="previous-slide" href="#sec4"><svg width="40px" height="40px" viewBox="0 0 16 16"
                    class="bi bi-arrow-up-square-fill" fill="#f27474" xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd"
                        d="M2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2zm3.354 8.354a.5.5 0 1 1-.708-.708l3-3a.5.5 0 0 1 .708 0l3 3a.5.5 0 0 1-.708.708L8.5 6.207V11a.5.5 0 0 1-1 0V6.207L5.354 8.354z" />
                </svg></a>
            <a class="next-slide" href="#sec6"><svg width="40px" height="40px" viewBox="0 0 16 16" fill="#f27474"
                    xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd"
                        d="M2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2zm6.5 5a.5.5 0 0 0-1 0v4.793L5.354 7.646a.5.5 0 1 0-.708.708l3 3a.5.5 0 0 0 .708 0l3-3a.5.5 0 0 0-.708-.708L8.5 9.793V5z" />
                </svg></a>
        </div>

    </section>

    <section id="sec6">
        <div class="slide-content">
            <h1>Paramètres (2)</h1>

            <p>Il y a quatre icônes prédéfinies, disponibles avec Sweetalert :</p>

            <div class="bouton-double">
                <div class="bouton" id="bouton3">success</div>
                <div class="bouton" id="bouton4">warning</div>
                <div class="bouton" id="bouton5">error</div>
                <div class="bouton" id="bouton6">info</div>
            </div>


            <p>Il est possible de customizer les boutons :</p>
            <div class="double-code">
                <p class="code code-blanc">
                    <span class="text-swal">swal</span>({ <br/>
                      title: "Êtes-vous sûrs ?", <br/>
                      text: "Une fois supprimé, le fichier ne sera plus disponible.", <br/>
                      icon: "warning", <br/>
                      buttons: ["Euh non...", "Mais oui!"], <br/>
                    });
              </p>
              <div class="bouton" id="bouton7">Supprimer</div>
            </div>


        </div>
        <div class="nav-buttons">
            <a class="previous-slide" href="#sec5"><svg width="40px" height="40px" viewBox="0 0 16 16"
                    class="bi bi-arrow-up-square-fill" fill="#f27474" xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd"
                        d="M2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2zm3.354 8.354a.5.5 0 1 1-.708-.708l3-3a.5.5 0 0 1 .708 0l3 3a.5.5 0 0 1-.708.708L8.5 6.207V11a.5.5 0 0 1-1 0V6.207L5.354 8.354z" />
                </svg></a>
            <a class="next-slide" href="#sec7"><svg width="40px" height="40px" viewBox="0 0 16 16" fill="#f27474"
                    xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd"
                        d="M2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2zm6.5 5a.5.5 0 0 0-1 0v4.793L5.354 7.646a.5.5 0 1 0-.708.708l3 3a.5.5 0 0 0 .708 0l3-3a.5.5 0 0 0-.708-.708L8.5 9.793V5z" />
                </svg></a>
        </div>
    </section>

    <section id="sec7">
        <div class="slide-content">
            <h1>Promises</h1>

            <p>SweetAlert utilise des promesses pour suivre la façon dont l'utilisateur interagit avec l'alerte.
                Si l'utilisateur clique sur le bouton de confirmation, la promesse prend fin <span
                    class="text-swal">true</span>. Si l'alerte est rejetée (en cliquant en dehors de celle-ci), la
                promesse prend fin <span class="text-swal">null</span>.</p>

                <div class="double-code">

                    <p class="code code-gris">
                        <span class="text-swal">swal</span> ("Cliquez sur le bouton ou en dehors du modal.") <br>
                        <span class="text-swal">.then</span>((value) => {<br>
                        <span class="text-swal">swal</span>(`La valeur renvoyée est: ${value}`); <br>
                        });
                    </p>
                    <p></p>
                    <div class="bouton bouton-centre" id="bouton8">Sweetalert</div>
                </div>

            <p><span class="text-swal">Exemple 1 :</span> C'est utile pour avertir l'utilisateur avant qu'il n'effectue une action "risquée".</p>
            <p><span class="text-swal">Exemple 2 :</span> Comme Sweetalert est basé sur des promises, on peut l'utiliser dans le cas de requêtes AJAX.</p>
        </div>
        <div class="nav-buttons">
            <a class="previous-slide" href="#sec6"><svg width="40px" height="40px" viewBox="0 0 16 16"
                    class="bi bi-arrow-up-square-fill" fill="#f27474" xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd"
                        d="M2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2zm3.354 8.354a.5.5 0 1 1-.708-.708l3-3a.5.5 0 0 1 .708 0l3 3a.5.5 0 0 1-.708.708L8.5 6.207V11a.5.5 0 0 1-1 0V6.207L5.354 8.354z" />
                </svg></a>
            <a class="next-slide" href="#sec8"><svg width="40px" height="40px" viewBox="0 0 16 16" fill="#f27474"
                    xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd"
                        d="M2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2zm6.5 5a.5.5 0 0 0-1 0v4.793L5.354 7.646a.5.5 0 1 0-.708.708l3 3a.5.5 0 0 0 .708 0l3-3a.5.5 0 0 0-.708-.708L8.5 9.793V5z" />
                </svg></a>
        </div>

    </section>

    <section id="sec8">
        <div class="slide-content">
            <div class="double-code">
                <p class="code code-blanc"><span class="text-swal">swal</span>({ <br>
                    title: "Êtes-vous sûr?", <br>
                    text: "Une fois supprimé, vous ne pourrez plus récupérer ce fichier imaginaire!", <br>
                    icon: "warning", <br>
                    buttons: true, <br>
                    dangerMode: true, <br>
                }) <br>
                <span class="text-swal">.then</span>((willDelete) => { <br>
                    <span class="text-purple">if</span> (willDelete) { <br>
                        <span class="text-swal">swal</span>("Poof! Votre fichier imaginaire a été supprimé!", { <br>
                        icon: "success", <br>
                    }); <br>
                    } <span class="text-purple">else</span> { <br>
                        <span class="text-swal">swal</span>("Votre fichier imaginaire est en sécurité!"); <br>
                    } <br>
                });</p>

                <div class="bouton" id="bouton9">Supprimer</div>
            </div>

        </div>
        <div class="nav-buttons">
            <a class="previous-slide" href="#sec7"><svg width="40px" height="40px" viewBox="0 0 16 16"
                    class="bi bi-arrow-up-square-fill" fill="#f27474" xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd"
                        d="M2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2zm3.354 8.354a.5.5 0 1 1-.708-.708l3-3a.5.5 0 0 1 .708 0l3 3a.5.5 0 0 1-.708.708L8.5 6.207V11a.5.5 0 0 1-1 0V6.207L5.354 8.354z" />
                </svg></a>
            <a class="next-slide" href="#sec9"><svg width="40px" height="40px" viewBox="0 0 16 16" fill="#f27474"
                    xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd"
                        d="M2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2zm6.5 5a.5.5 0 0 0-1 0v4.793L5.354 7.646a.5.5 0 1 0-.708.708l3 3a.5.5 0 0 0 .708 0l3-3a.5.5 0 0 0-.708-.708L8.5 9.793V5z" />
                </svg></a>
        </div>

    </section>

    <section id="sec9">
        <div class="slide-content">
            <div class="double-code">
                <p class="code code-gris">
                    <span class="text-swal">swal</span>({ 
                        text: 'Search for a movie. e.g. "La La Land".',
                        content: "input",
                        button: {
                          text: "Search!",
                          closeModal: false,
                        },
                      }) <br/>
                      .<span class="text-swal">then</span>(name => {<br/>
                        <span class="text-purple">if</span> (!name) <span class="text-purple">throw</span> null;<br/>
                       
                        <span class="text-purple">return</span> <span class="text-swal">fetch</span>(`https://itunes.apple.com/search?term=${name}&entity=movie`); <br/>
                      }) <br/>
                      .<span class="text-swal">then</span>(results => {
                        <span class="text-purple">return</span> results.<span class="text-swal">json</span>();
                      }) <br/>
                      .<span class="text-swal">then</span>(json => {
                        const movie = json.results[0]; <br/>
                       
                        <span class="text-purple">if</span> (!movie) {<br/>
                            <span class="text-purple">return</span> <span class="text-swal">swal</span>("No movie was found!");<br/>
                        } <br/>
                       
                        const name = movie.trackName; <br/>
                        const imageURL = movie.artworkUrl100; <br/>
                       
                        <span class="text-swal">swal</span>({
                          title: "Top result:",
                          text: name,
                          icon: imageURL,
                        });
                      })<br/>
                      .<span class="text-swal">catch</span>(err => { <br/>
                        <span class="text-purple">if</span> (err) { <br/>
                          <span class="text-swal">swal</span>("Oh noes!", "The AJAX request failed!", "error");<br/>
                        } <span class="text-purple">else</span> {<br/>
                          swal.<span class="text-swal">stopLoading</span>();<br/>
                          swal.<span class="text-swal">close</span>();<br/>
                        } <br/>
                      }); <br/>
                </p>

                <div class="bouton" id="bouton10">Search</div>
            </div>

        </div>
        <div class="nav-buttons">
            <a class="previous-slide" href="#sec8"><svg width="40px" height="40px" viewBox="0 0 16 16"
                    class="bi bi-arrow-up-square-fill" fill="#f27474" xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd"
                        d="M2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2zm3.354 8.354a.5.5 0 1 1-.708-.708l3-3a.5.5 0 0 1 .708 0l3 3a.5.5 0 0 1-.708.708L8.5 6.207V11a.5.5 0 0 1-1 0V6.207L5.354 8.354z" />
                </svg></a>
            <a class="next-slide" href="#sec10"><svg width="40px" height="40px" viewBox="0 0 16 16" fill="#f27474"
                    xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd"
                        d="M2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2zm6.5 5a.5.5 0 0 0-1 0v4.793L5.354 7.646a.5.5 0 1 0-.708.708l3 3a.5.5 0 0 0 .708 0l3-3a.5.5 0 0 0-.708-.708L8.5 9.793V5z" />
                </svg></a>
        </div>

    </section>

    <section id="sec10">
        <div class="slide-content">
            <h1>Merci de votre attention!</h1>

            <p class="text-center">source : https://sweetalert.js.org/guides/</p>


        </div>
        <div class="nav-buttons">
            <a class="previous-slide" href="#sec9"><svg width="40px" height="40px" viewBox="0 0 16 16"
                    class="bi bi-arrow-up-square-fill" fill="#f27474" xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd"
                        d="M2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2zm3.354 8.354a.5.5 0 1 1-.708-.708l3-3a.5.5 0 0 1 .708 0l3 3a.5.5 0 0 1-.708.708L8.5 6.207V11a.5.5 0 0 1-1 0V6.207L5.354 8.354z" />
                </svg></a>
        </div>

    </section>



    <!--js-->
    <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
    <script src="./js/script.js"></script>
</body>

</html>